# Change Log
All notable changes to this project will be documented in this file.

## Not released

## 0.3.2 - 2021-03-09
- Fix YAML rendering (ruby objects were sometimes rendered in documentation)
- Render examples results as YAML/JSON objects instead of text blocks.

## 0.3.1 - 2020-04-09
- Add support for "test only" examples, allowing to write examples without documentation.

## 0.3.0 - 2019-12-26

### Changed
- Rails 6 support, deprecated methods from Rails 5 are not supported. Use version `0.2.3` 
  of this gem if your application is still on 5.

## 0.2.3 - 2019-12-04

### Improved

- Generated Swagger file now use the payloads of POST/PATCH/PUT requests.
- Minimum Ruby version is now specified: Ruby 2.3.3.

## 0.2.1/0.2.2 - 2019-11-03

_Version 0.2.1 was released and yanked by mistake. Version 0.2.2 is the exact
same one, with a version bump_

### Changed

- `for_code` method now have its `description` optional. If none is provided,
  the description will be set from the status code.

## 0.2.0 - 2019-11-02

### Added

- `parameters` method to define path or requests params for the whole file.
- A simple Rails application now acts as example and is used to generate some
of the fixtures.

### Changed

- method `path_params` can now use a reference to a previously defined parameters
  set. The method has a new signature: `path_params(fields: nil, defined: nil)`. Update
  the existing calls accordingly. To use params defined with `parameters`, use the
  `defined` option: `path_params defined: :common_path_params`
- method `request_params` can now use a reference to a previously defined parameters
  set. The method has a new signature: `request_params(attributes: nil, defined: nil)`. Update
  the existing calls accordingly. To use params defined with `parameters`, use the
  `defined` option: `request_params defined: :common_form_params`

## 0.1.5 - 2019-10-31

### Fixed

- Fixed issue with POST/PUT/DELETE requests with no `request_params`
- Improved documentation (integration with Devise, typos and mistakes)

## 0.1.4 - 2019-10-24

### Added

- Added support for arrays of objects in request parameters

## 0.1.3 - 2019-10-23

### Added

- Added ability to document API descriptions, servers, etc... from the RSpec helper files

## 0.1.2 - 2019-10-22

### Added

- Added `item` property for arrays descriptions

## 0.1.1 - 2019-10-22

- Added support for custom headers in request examples (useful for `visit` method)

## 0.1.0 - 2019-10-21

Initial release
